diff --git a/src/BoostParts/boost/atomic/atomic.hpp b/src/BoostParts/boost/atomic/atomic.hpp
index 9e1ecbd..0e02033 100644
--- a/src/BoostParts/boost/atomic/atomic.hpp
+++ b/src/BoostParts/boost/atomic/atomic.hpp
@@ -194,7 +194,7 @@ typedef atomic<std::ptrdiff_t> atomic_ptrdiff_t;
 #if !defined(__PGIC__)
 
 #if (defined(BOOST_WINDOWS) && !defined(_WIN32_WCE)) \
-    || (defined(_XOPEN_UNIX) && (_XOPEN_UNIX+0 > 0) && !defined(__UCLIBC__)) \
+    || (defined(_XOPEN_UNIX) && (_XOPEN_UNIX+0 > 0) && !defined(__UCLIBC__) && !defined(__GLIBC__)) \
     || defined(__CYGWIN__) \
     || defined(macintosh) || defined(__APPLE__) || defined(__APPLE_CC__) \
     || defined(__FreeBSD__) || defined(__NetBSD__) || defined(__OpenBSD__) || defined(__DragonFly__)
diff --git a/src/BoostParts/boost/bind/arg.hpp b/src/BoostParts/boost/bind/arg.hpp
index 0d5cd03..268183e 100644
--- a/src/BoostParts/boost/bind/arg.hpp
+++ b/src/BoostParts/boost/bind/arg.hpp
@@ -22,6 +22,11 @@
 #include <boost/config.hpp>
 #include <boost/is_placeholder.hpp>
 
+#if BOOST_GCC >= 40700
+#pragma GCC diagnostic push
+#pragma GCC diagnostic ignored "-Wunused-local-typedefs"
+#endif
+
 namespace boost
 {
 
@@ -59,4 +64,8 @@ template< int I > struct is_placeholder< arg<I> (*) () >
 
 } // namespace boost
 
+#if BOOST_GCC >= 40700
+#pragma GCC diagnostic pop
+#endif
+
 #endif // #ifndef BOOST_BIND_ARG_HPP_INCLUDED
diff --git a/src/BoostParts/boost/tuple/detail/tuple_basic.hpp b/src/BoostParts/boost/tuple/detail/tuple_basic.hpp
index 88f0d90..5f3c78f 100644
--- a/src/BoostParts/boost/tuple/detail/tuple_basic.hpp
+++ b/src/BoostParts/boost/tuple/detail/tuple_basic.hpp
@@ -225,7 +225,6 @@ inline typename access_traits<
 get(const cons<HT, TT>& c BOOST_APPEND_EXPLICIT_TEMPLATE_NON_TYPE(int, N)) {
   typedef BOOST_DEDUCED_TYPENAME detail::drop_front<N>::BOOST_NESTED_TEMPLATE
       apply<cons<HT, TT> > impl;
-  typedef BOOST_DEDUCED_TYPENAME impl::type cons_element;
   return impl::call(c).head;
 }
 
